binutils: remove some unused obsolete versions
[openwrt/openwrt.git] / toolchain / binutils / Config.in
1 # Choose binutils version.
2
3 choice
4 prompt "Binutils Version" if TOOLCHAINOPTS
5 default BINUTILS_VERSION_2_20_1 if avr32
6 default BINUTILS_VERSION_2_22 if !avr32
7 help
8 Select the version of binutils you wish to use.
9
10 config BINUTILS_VERSION_2_20_1
11 depends on avr32
12 bool "binutils 2.20.1"
13
14 config BINUTILS_VERSION_2_22
15 depends on !avr32 || (avr32 && BROKEN)
16 bool "binutils 2.22"
17
18 config BINUTILS_VERSION_2_23_1
19 depends on !avr32 || (avr32 && BROKEN)
20 bool "binutils 2.23.1"
21
22 endchoice
23
24 config EXTRA_BINUTILS_CONFIG_OPTIONS
25 string
26 prompt "Additional binutils configure options" if TOOLCHAINOPTS
27 default ""
28 help
29 Any additional binutils options you may want to include....
30
31 config BINUTILS_VERSION
32 string
33 prompt "Binutils Version" if (TOOLCHAINOPTS && NULL)
34 default "2.20.1" if BINUTILS_VERSION_2_20_1
35 default "2.22" if BINUTILS_VERSION_2_22
36 default "2.23.1" if BINUTILS_VERSION_2_23_1
37 default "2.20.1" if avr32
38 default "2.22"